//+------------------------------------------------------------------+
//|                                           CloseOrDeleteBuysV2.mq4|
//|                                                     Alan Prothero| 
//|                             Version 2 - Counts Orders down not up| 
//+------------------------------------------------------------------+

// Cleans up all orders on this Symbol()

int start()
{
	for (int i = OrdersTotal() - 1; i >= 0; i--) {
		if (OrderSelect(i, SELECT_BY_POS, MODE_TRADES)) {
			if (OrderSymbol()==Symbol()) { 
				if (OrderType() == OP_BUY) 
				{
					OrderClose(OrderTicket(),OrderLots(),Bid,3,Green);
				}
				if (OrderType() == OP_BUYSTOP || OrderType() == OP_BUYLIMIT ) 
				{
					OrderDelete(OrderTicket());
				}
			}
		}
	}
	return (0);
}

